//Scroll Animations
const observer = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
      // console.log(entry);
      if (entry.isIntersecting) {
        entry.target.classList.add('animations-show-item');
        observer.unobserve(entry.target);
      } else {
        entry.target.classList.remove('animations-show-item');
      }
    });
  });

  const hiddenElements = document.querySelectorAll('.animations-hidden-item');
  hiddenElements.forEach((el) => observer.observe(el));

jQuery('document').ready(function(){
    var owl = jQuery('.product-banner .owl-carousel');
    owl.owlCarousel({
    margin:20,
    nav: false,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 3000,
    loop: true,
    dots:true,
    navText : ['<span class="dashicons dashicons-arrow-left-alt2"></span>','<span class="dashicons dashicons-arrow-right-alt2"></span> '],
    responsive: {
      0: {
        items: 1,
        nav: false,
      },
      600: {
        items: 2,
        nav: false,
      },
      781: {
        items: 1,
        nav: false,
      },
      1000: {
        items: 1
      },
      1200: {
        items: 2
      }
    },
    autoplayHoverPause : true,
    mouseDrag: true
  });
});

document.addEventListener('DOMContentLoaded', function() {
  document.querySelectorAll('.blog-image .wp-block-post-date time').forEach(function(el) {
    let text = el.textContent.trim();
    let parts = text.split(' ');
    if (parts.length >= 2) {
      el.innerHTML = '<strong>' + parts[0] + '</strong><br>' + parts.slice(1).join(' ');
    }
  });
});